<div *ngIf="errors">
  <app-erreur [erreur]="errors"></app-erreur>
</div>
<div id="membership">
  <div [hidden]="saved" id="container">
    <mat-card class="inline">
      <section>
        <form (ngSubmit)="save(form.value)" [formGroup]="form">

          <h2 class="mat-h1">Enregistrement d'une nouvelle adhésion</h2>
          <mat-form-field>
            <mat-select *ngIf="memberShipTypes" formControlName="membership" placeholder="Type d'adhésion" required>
              <mat-option *ngFor="let type of memberShipTypes" [value]="type" autofilled="true">{{ type.name }}
              </mat-option>
            </mat-select>
          </mat-form-field>
          <br>
          <mat-slide-toggle formControlName="valid">Adhésion valide</mat-slide-toggle>
          <br>
          <mat-form-field>
            <mat-select formControlName="payment_method" placeholder="Moyen de paiement" required>
              <mat-option value="1">CB</mat-option>
              <mat-option value="2">Espèces</mat-option>
              <mat-option aria-selected="true" value="3">Chèque</mat-option>
            </mat-select>
          </mat-form-field>
          <br>
          <button [disabled]="boutonInactif" color="primary" mat-raised-button>Enregistrer</button>
        </form>
      </section>
      <section *ngIf="form.value.membership">
        <mat-card-title>Détails de ce type d'adhésion</mat-card-title>
        <p>{{ form.value.membership.description }}</p>
        <p>Prix TTC: {{ form.value.membership.price_ttc }}€ ({{ form.value.membership.price_ht }}€ H.T.)<br></p>
        <p>Valide entre le {{ form.value.membership.not_valid_before|date :'dd/MM/yyyy' }}
          et le {{ form.value.membership.not_valid_after|date: 'dd/mm/yyyy' }}</p>
        <div *ngIf="form.value.membership.conditions">
          <mat-list>
            Conditions
            <div *ngFor="let c of form.value.membership.conditions">
              <mat-list-item>{{ c.description }} : l'année d'étude
                <span *ngIf="c.negation"> n'</span>est <span *ngIf="c.negation"> pas</span>
                {{ condToStr(c.type) }}e à {{ c.value }}
              </mat-list-item>
            </div>
          </mat-list>
        </div>
      </section>
    </mat-card>
  </div>
</div>


